| AI Engine-ML Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Updating all elements with zero
Vector Conversions » Broadcast

## Overview

Broadcasts value zero (0) to all vector lanes.

## Functions
v32bfloat16 | broadcast_zero_bfloat16 ()
v16cint16 | broadcast_zero_c16 ()
v8cint32 | broadcast_zero_c32 ()
v16float | broadcast_zero_float ()
v32int16 | broadcast_zero_s16 ()
v16int32 | broadcast_zero_s32 ()
v64int8 | broadcast_zero_s8 ()
v16cint16 | broadcast_zero_to_v16cint16 ()
v16float | broadcast_zero_to_v16float ()
v16int32 | broadcast_zero_to_v16int32 ()
v16uint32 | broadcast_zero_to_v16uint32 ()
v32bfloat16 | broadcast_zero_to_v32bfloat16 ()
v32int16 | broadcast_zero_to_v32int16 ()
v32uint16 | broadcast_zero_to_v32uint16 ()
v64int8 | broadcast_zero_to_v64int8 ()
v64uint8 | broadcast_zero_to_v64uint8 ()
v8cint32 | broadcast_zero_to_v8cint32 ()
v32uint16 | broadcast_zero_u16 ()
v16uint32 | broadcast_zero_u32 ()
v64uint8 | broadcast_zero_u8 ()

## Accumulator vector addition/subtraction intrinsics
v32acc32 | clr32 ()
| Returns an accumulator vector with all lanes zeroed.
v32acc32 | broadcast_zero_to_v32acc32 ()
| Returns an accumulator vector with all lanes zeroed.
v16acc64 | clr16 ()
| Returns an accumulator vector with all lanes zeroed.
v16acc64 | broadcast_zero_to_v16acc64 ()
| Returns an accumulator vector with all lanes zeroed.
v8cacc64 | clr16c ()
| Returns an accumulator vector with all lanes zeroed.
v8cacc64 | broadcast_zero_to_v8cacc64 ()
| Returns an accumulator vector with all lanes zeroed.
v16accfloat | clr16f ()
| Returns an accumulator vector with all lanes zeroed.
v16accfloat | broadcast_zero_to_v16accfloat ()
| Returns an accumulator vector with all lanes zeroed.

## Function Documentation

## ◆ broadcast_zero_bfloat16()

v32bfloat16 broadcast_zero_bfloat16 | ( |  | ) |

## ◆ broadcast_zero_c16()

v16cint16 broadcast_zero_c16 | ( |  | ) |

## ◆ broadcast_zero_c32()

v8cint32 broadcast_zero_c32 | ( |  | ) |

## ◆ broadcast_zero_float()

v16float broadcast_zero_float | ( |  | ) |

## ◆ broadcast_zero_s16()

v32int16 broadcast_zero_s16 | ( |  | ) |

## ◆ broadcast_zero_s32()

v16int32 broadcast_zero_s32 | ( |  | ) |

## ◆ broadcast_zero_s8()

v64int8 broadcast_zero_s8 | ( |  | ) |

## ◆ broadcast_zero_to_v16acc64()

v16acc64 broadcast_zero_to_v16acc64 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ broadcast_zero_to_v16accfloat()

v16accfloat broadcast_zero_to_v16accfloat | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ broadcast_zero_to_v16cint16()

v16cint16 broadcast_zero_to_v16cint16 | ( |  | ) |

## ◆ broadcast_zero_to_v16float()

v16float broadcast_zero_to_v16float | ( |  | ) |

## ◆ broadcast_zero_to_v16int32()

v16int32 broadcast_zero_to_v16int32 | ( |  | ) |

## ◆ broadcast_zero_to_v16uint32()

v16uint32 broadcast_zero_to_v16uint32 | ( |  | ) |

## ◆ broadcast_zero_to_v32acc32()

v32acc32 broadcast_zero_to_v32acc32 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ broadcast_zero_to_v32bfloat16()

v32bfloat16 broadcast_zero_to_v32bfloat16 | ( |  | ) |

## ◆ broadcast_zero_to_v32int16()

v32int16 broadcast_zero_to_v32int16 | ( |  | ) |

## ◆ broadcast_zero_to_v32uint16()

v32uint16 broadcast_zero_to_v32uint16 | ( |  | ) |

## ◆ broadcast_zero_to_v64int8()

v64int8 broadcast_zero_to_v64int8 | ( |  | ) |

## ◆ broadcast_zero_to_v64uint8()

v64uint8 broadcast_zero_to_v64uint8 | ( |  | ) |

## ◆ broadcast_zero_to_v8cacc64()

v8cacc64 broadcast_zero_to_v8cacc64 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ broadcast_zero_to_v8cint32()

v8cint32 broadcast_zero_to_v8cint32 | ( |  | ) |

## ◆ broadcast_zero_u16()

v32uint16 broadcast_zero_u16 | ( |  | ) |

## ◆ broadcast_zero_u32()

v16uint32 broadcast_zero_u32 | ( |  | ) |

## ◆ broadcast_zero_u8()

v64uint8 broadcast_zero_u8 | ( |  | ) |

## ◆ clr16()

v16acc64 clr16 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ clr16c()

v8cacc64 clr16c | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ clr16f()

v16accfloat clr16f | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ clr32()

v32acc32 clr32 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator